---
updatedAt: 2025-02-28T15:49:52.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# See if the current user meets the BIN requirements

Add description...

> 📘 ### See if the current user meets the BIN requirements
>
> ### /load/binprerequisites
>
> ![](https://files.readme.io/0e9bc9ea80d6c8854584d985fe3454394f6357dc0f8e1a12854130837e8a10df-image.png)
>
> -Supported Authorization Grants: **authorization\_code, password**\
> -URI Parameters: **None**\
> -Body Parameters: **None**
>
> Sample request:
>
> ```Text Request
> GET https://api-int.truckstop.com/loadmanagement/v2/load/binprerequisites HTTP/1.1
> Authorization: bearer <access_token>
> Content-Type: application/json
> ```
> ```Text Response
> HTTP/1.1 200 OK
> Content-Type: application/json; charset=utf-8
> CorrelationId: 901b6bd9-cd5a-4fca-9955-fc94db7eeacd
>
> {
>   "hasSubscription": true,
>   "hasCarrier": true,
>   "hasTC": true,
>   "hasLogo": true
> }
> Response Fields
> ```
>
> * **Response Fields:**
>
> | Field           | Type    | Description                                                                        |
> | :-------------- | :------ | :--------------------------------------------------------------------------------- |
> | HasSubscription | boolean | Whether the calling user is authorized to use Book it Now                          |
> | HasCarrier      | boolean | Whether the calling user has a relationship with carriers eligible for Book it Now |
> | HasTC           | boolean | Whether the calling has any terms and conditions available                         |
> | HasLogo         | boolean | Whether the calling user has a logo that can be used to indicate Book it Now loads |
>
> **Error Fields:** Error responses contain an **HTTP Code** and an **Error** object.